//*************************************//
//*** Script by Chicago             ***//
//*** init.hpp - dialog definicion  ***//
//*** Satellite view (SATCOM)       ***//
//*** Version: 1.05                 ***//
//*************************************//


/*******************/
/*  Controls       */
/*******************/

// Control types
#define CT_STATIC           0
#define CT_BUTTON           1
#define CT_EDIT             2
#define CT_SLIDER           3
#define CT_COMBO            4
#define CT_LISTBOX          5
#define CT_TOOLBOX          6
#define CT_CHECKBOXES       7
#define CT_PROGRESS         8
#define CT_HTML             9
#define CT_STATIC_SKEW      10
#define CT_ACTIVETEXT       11
#define CT_TREE             12
#define CT_STRUCTURED_TEXT  13
#define CT_CONTEXT_MENU     14
#define CT_CONTROLS_GROUP   15
#define CT_XKEYDESC         40
#define CT_XBUTTON          41
#define CT_XLISTBOX         42
#define CT_XSLIDER          43
#define CT_XCOMBO           44
#define CT_ANIMATED_TEXTURE 45
#define CT_OBJECT           80
#define CT_OBJECT_ZOOM      81
#define CT_OBJECT_CONTAINER 82
#define CT_OBJECT_CONT_ANIM 83
#define CT_LINEBREAK        98
#define CT_USER             99
#define CT_MAP              100
#define CT_MAP_MAIN         101

// Static styles
#define ST_POS            0x0F
#define ST_HPOS           0x03
#define ST_VPOS           0x0C
#define ST_LEFT           0x00
#define ST_RIGHT          0x01
#define ST_CENTER         0x02
#define ST_DOWN           0x04
#define ST_UP             0x08
#define ST_VCENTER        0x0c

#define ST_TYPE           0xF0
#define ST_SINGLE         0
#define ST_MULTI          16
#define ST_TITLE_BAR      32
#define ST_PICTURE        48
#define ST_FRAME          64
#define ST_BACKGROUND     80
#define ST_GROUP_BOX      96
#define ST_GROUP_BOX2     112
#define ST_HUD_BACKGROUND 128
#define ST_TILE_PICTURE   144
#define ST_WITH_RECT      160
#define ST_LINE           176

#define ST_SHADOW         0x100
#define ST_NO_RECT        0x200
#define ST_KEEP_ASPECT_RATIO  0x800

#define ST_TITLE          ST_TITLE_BAR + ST_CENTER

// Slider styles
#define SL_DIR            0x400
#define SL_VERT           0
#define SL_HORZ           0x400

#define SL_TEXTURES       0x10

// Listbox styles
#define LB_TEXTURES       0x10
#define LB_MULTI          0x20


/*******************/
/*  Basic classes  */
/*******************/


class RscButton
{
	type = 1;
	style = 0;
	x = 0;
	y = 0;
	w = 0.097500;
	h = 0.040000;
	font = "Zeppelin32";
	sizeEx = 0.024000;
	colorText[] = {1.000000,1.000000,1.00000,1.000000};
	colorDisabled[] = {0.400000,0.400000,0.400000,1};
	colorBackground[] = {0,0,0,0.0};
	colorBackgroundActive[] = {0.000000,0.000000,1.000000,0.000000};
	colorBackgroundDisabled[] = {1,1,1,0.000000};
	offsetX = 0.003000;
	offsetY = 0.003000;
	offsetPressedX = 0.002000;
	offsetPressedY = 0.002000;
	colorFocused[] = {0.840000,1,0.550000,0};
	colorShadow[] = {0,0,0,0};
	colorBorder[] = {0,0,0,0};
	borderSize = 0.000000;
	soundEnter[] = {"",0.150000,1};
	soundPush[] = {"",0.150000,1};
	soundClick[] = {"",0.15,5};
	soundEscape[] = {"",0.150000,1};
};

class RscLine
{
   type = CT_STATIC;
   IDC = -1;
   style = ST_LEFT + ST_MULTI + ST_NO_RECT;
   LineSpacing = 1.000000;
   h = 0.040000;
   ColorBackground[] = {1,1,1,0.2};
   ColorText[] = {0.1,0.1,0.1,1};
   font = "Zeppelin32";
   SizeEx = 0.024000;
};

class RscLine2
{
   type = CT_STATIC;
   IDC = -1;
   style = 512;
   ColorBackground[] = {0.000000,0.000000,0,0.00000};
   colorText[] = {1.000000,1.000000,1.00000,1.000000};
   font = "Zeppelin32";
   SizeEx = 0.024000;
};

/*******************/
/*  Dialog         */
/*******************/
class RscSatelit
{
	IDD = 2000;
	MovingEnable = 1;
	
	class Controls
	{
//Grid
		class GV1: RscLine
        		  	{
            		x = 0.1;
            		y = 0.1;
            		w = 0.001;
            		h = 0.8;
            		text = "";
            		colorBackground[] = {1,1,1,0.1};
         		};
         			class GV2: GV1 {x = 0.2;};
         			class GV3: GV1 {x = 0.3;};
         			class GV4: GV1 {x = 0.4;};
         			class GV5: GV1 {x = 0.5;};
         			class GV6: GV1 {x = 0.6;};
         			class GV7: GV1 {x = 0.7;};
         			class GV8: GV1 {x = 0.8;};
         			class GV9: GV1 {x = 0.9;};
				 
         	
		class GH1: RscLine
         	{
            		x = 0.1;
            		y = 0.1;
            		w = 0.8;
            		h = 0.001;
            		text = "";
            		colorBackground[] = {1,1,1,0.1};
         	};
         			class GH2: GH1 {y = 0.2;};
         			class GH3: GH1 {y = 0.3;};
         			class GH4: GH1 {y = 0.4;};
         			class GH5: GH1 {y = 0.5;};
         			class GH6: GH1 {y = 0.6;};
         			class GH7: GH1 {y = 0.7;};
						class GH8: GH1 {y = 0.8;};
         			class GH9: GH1 {y = 0.9;};
				
		
		class obd1: RscLine2
      {
      	x = 0.085;
      	y = 0.75;
      	w = 0.43;
      	h = 0.1;
      	text = "";
      };
		
		class obd2: RscLine2
      {
      	IDC = 2005;
			x = 0.2;
      	y = 0.65;
      	w = 0.125;
      	h = 0.09;
      	text = "";
      };
		//Senzors
		class aps: RscLine2
      {
      	IDC = 2000010;
			x = 0.75;
      	y = 0.8;
      	w = 0.15;
      	h = 0.08;
      	text = "APS CONNECTED";
      };
		
		class sins: RscLine2
      {
      	IDC = 2000011;
			x = 0.75;
      	y = 0.83;
      	w = 0.15;
      	h = 0.08;
      	text = "INS  CONNECTED";
      };
		
		class uhf: RscLine2
      {
      	x = 0.12;
      	y = 0.1;
      	w = 0.1;
      	h = 0.08;
      	text = "UHF ACTIVE";
      };
		
				
		class nv: RscLine2
      {
      	IDC = 200003;
			x = 0.12;
      	y = 0.8;
      	w = 0.1;
      	h = 0.08;
      	text = "FLIR ACTIVE";
      };
		
		class time: RscLine2
      {
      	IDC = 20055;
			x = 0.465;
      	y = 0.1;
      	w = 0.2;
      	h = 0.08;
      	text = "15:00";
      };
		
		
		
		class cz: RscLine2
      {
      	IDC = 20054;
			x = 0.78;
      	y = 0.16;
      	w = 0.099;
      	h = 0.1;
      	text = "SZ 1202";
      };
		
				
		class cy: RscLine2
      {
      	IDC = 20053;
			x = 0.78;
      	y = 0.13;
      	w = 0.099;
      	h = 0.1;
      	text = "SY 1202";
      };
		
				
		class cx: RscLine2
      {
      	IDC = 20052;
			x = 0.78;
      	y = 0.1;
      	w = 0.099;
      	h = 0.1;
      	text = "SX 1202";
      };
		
				
				
		class bateri: RscLine2
      {
      	IDC = 20051;
			x = 0.78;
      	y = 0.19;
      	w = 0.099;
      	h = 0.1;
      	text = "BAT 100" ;
      };
		//Cross
		class cross1: RscLine
         {
            IDC = 2006;
				x = 0.475;
            y = 0.5;
            w = 0.05;
            h = 0.001;
            text = "";
            colorBackground[] = {1,1,1,0.5};
         };
         class cross2: RscLine
         {
            IDC = 2007;
				x = 0.5;
            y = 0.475;
            w = 0.001;
            h = 0.05;
            text = "";
            colorBackground[] = {1,1,1,0.5};
         };

 			//--- Left corner up
         class LineTLH: RscLine
         {
            IDC = 2008;
				x = 0.4;
            y = 0.4;
            w = 0.03;
            h = 0.001;
            text = "";
            colorBackground[] = {1,1,1,1};
         };
         class LineTLV: RscLine
         {
            IDC = 20081;
				x = 0.4;
            y = 0.4;
            w = 0.001;
            h = 0.03;
            text = "";
            colorBackground[] = {1,1,1,1};
         };

         //--- Right corner up
         class LineTRH: RscLine
         {
            IDC = 20082;
				x = 0.6-0.03;
            y = 0.4;
            w = 0.03;
            h = 0.001;
            text = "";
            colorBackground[] = {1,1,1,1};
         };
         class LineTRV: RscLine
         {
            IDC = 20083;
				x = 0.6;
            y = 0.4;
            w = 0.001;
            h = 0.03;
            text = "";
            colorBackground[] = {1,1,1,1};
         };

         //--- Left corner down
         class LineBLH: RscLine
         {
            IDC = 20084;
				x = 0.4;
            y = 0.6;
            w = 0.03;
            h = 0.001;
            text = "";
            colorBackground[] = {1,1,1,1};
         };
         class LineBLV: RscLine
         {
            IDC = 20085;
				x = 0.4;
            y = 0.6-0.03;
            w = 0.001;
            h = 0.03;
            text = "";
            colorBackground[] = {1,1,1,1};
         };

         //--- Right corner down
         class LineBRH: RscLine
         {
            IDC = 20086;
				x = 0.6-0.03;
            y = 0.6;
            w = 0.03;
            h = 0.001;
            text = "";
            colorBackground[] = {1,1,1,1};
         };
         class LineBRV: RscLine
         {
            IDC = 20087;
				x = 0.6;
            y = 0.6-0.03;
            w = 0.001;
            h = 0.03;
            text = "";
            colorBackground[] = {1,1,1,1};
         };

		
		//Buttons	
		class buttonFlt : RscButton
		{
			IDC = 2015;
			x = 0.205;
			y = 0.800;
			w = 0.11;
			h = 0.04000;
			default = 0;
			text = "Call Artillery";
			action = "[] exec ""Chicago_SATCOM\bombe.sqs""";
		};
		
		class buttonQsl : RscButton
		{
			IDC = 20151;
			x = 0.205;
			y = 0.600;
			w = 0.11;
			h = 0.04000;
			default = 0;
			text = "Carpet Bomb";
			action = "[] exec ""Chicago_SATCOM\bombc.sqs""";
		};
				

 		class buttonCsl : RscButton
		{
			IDC = 20151;
			x = 0.205;
			y = 0.500;
			w = 0.11;
			h = 0.04000;
			default = 0;
			text = "Laser Guided";
			action = "[] exec ""Chicago_SATCOM\misle.sqs""";
		};
		

 		class buttonDsl : RscButton
		{
			IDC = 20151;
			x = 0.205;
			y = 0.550;
			w = 0.11;
			h = 0.04000;
			default = 0;
			text = "Plane Strafe";
			action = "[] exec ""Chicago_SATCOM\bombs.sqs""";
		};
		

 		class buttonVsl : RscButton
		{
			IDC = 20151;
			x = 0.205;
			y = 0.750;
			w = 0.11;
			h = 0.04000;
			default = 0;
			text = "Mortars";
			action = "[] exec ""Chicago_SATCOM\mort.sqs""";
		};
		

 		class buttonAsl : RscButton
		{
			IDC = 20151;
			x = 0.205;
			y = 0.700;
			w = 0.11;
			h = 0.04000;
			default = 0;
			text = "MOAB";
			action = "[] exec ""Chicago_SATCOM\MOAB.sqs""";
		};
		

 		class buttonYsl : RscButton
		{
			IDC = 20151;
			x = 0.205;
			y = 0.650;
			w = 0.11;
			h = 0.04000;
			default = 0;
			text = "BRKN Arrow";
			action = "[] exec ""Chicago_SATCOM\Heavy.sqs""";
		};

		class buttonCW : RscButton
		{
			IDC = 2016;
			x = 0.205;
			y = 0.400;
			w = 0.11;
			h = 0.04000;
			default = 0;
			text = "Close mode";
			action = "ctrlShow [2005,false];ctrlShow [2006,false];ctrlShow [2007,false];ctrlShow [2008,false];ctrlShow [20081,false];ctrlShow [20082,false];ctrlShow [20083,false];ctrlShow [20084,false];ctrlShow [20085,false];ctrlShow [20086,false];ctrlShow [20087,false];ctrlShow [2015,false];ctrlShow [2016,false];ctrlShow [20151,false]";
		};
		
	};
};